#1923 closed defect (fixed)

EDF, CBS and RBTree improve coverage

Reported by: Petr Benes Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

Attempt to catch the last coverage gaps concerning EDF and CBS schedulers and RBTree.

2011-09-20 Petr Benes <benesp16@…>

  • src/schedulercbsgetexecutiontime.c, spcbssched02/spcbssched02.scn,

spcbssched02/system.h, spcbssched03/init.c, spcbssched03/system.h,
spedfsched02/system.h, spedfsched03/system.h, sprbtree01/init.c: Improving coverage

Attachments (1)

cbs_coverage2.diff (4.9 KB) - added by Petr Benes on Sep 24, 2011 at 4:35:06 PM.
EDF, CBS and RBTree improve coverage

Download all attachments as: .zip

Change History (4)

Changed on Sep 24, 2011 at 4:35:06 PM by Petr Benes

Attachment: cbs_coverage2.diff added

EDF, CBS and RBTree improve coverage

comment:1 Changed on Apr 16, 2012 at 8:34:30 PM by Petr Benes

Resolution: fixed
Status: newclosed

Fixed.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:3 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.